## EntangleVideo

EntangleVideo — a video media file

## Functions

EntangleVideo * | entangle_video_new_file ()
EntangleVideo * | entangle_video_new_source ()
GstBaseSrc * | entangle_video_get_source ()
void | entangle_video_set_source ()

## Properties

GstBaseSrc * | source | Read / Write

## Types and Values

#define | ENTANGLE_TYPE_VIDEO
| EntangleVideo

## Object Hierarchy

        GObject
        ╰── EntangleMedia
            ╰── EntangleVideo

## Description

The EntangleVideo object presents a media file containing a video stream.

## Functions

### entangle_video_new_file ()

    EntangleVideo *
    entangle_video_new_file (const char *filename);

Create a new video instance for the video stored in `filename` .

#### Parameters

filename | the filename of the video. | [transfer none]

#### Returns

the new video.

[transfer full]

### entangle_video_new_source ()

    EntangleVideo *
    entangle_video_new_source (GstBaseSrc *source);

### entangle_video_get_source ()

    GstBaseSrc *
    entangle_video_get_source (EntangleVideo *video);

Get the live video source element

#### Parameters

video | the video to get the source for. | [transfer none]

#### Returns

the video source.

[transfer none]

### entangle_video_set_source ()

    void
    entangle_video_set_source (EntangleVideo *video,
                               GstBaseSrc *source);

Set the live video source element

#### Parameters

video | the video to set the source for. | [transfer none]
source | the new video source or NULL. | [transfer none]

## Types and Values

### ENTANGLE_TYPE_VIDEO

    #define ENTANGLE_TYPE_VIDEO (entangle_video_get_type())

### EntangleVideo

    typedef struct _EntangleVideo EntangleVideo;

## Property Details

### The `“source”` property

      “source”                   GstBaseSrc *

Video source.

Owner: EntangleVideo

Flags: Read / Write